/* big10Mascots.cpp stores and looks up Big-10 mascots in map<T1, T2>.
 *
 * Joel Adams, August 2001.
 *
 * Input: the name of a Big-10 school.
 * Output: its mascot.
 */
 
#include <iostream>      // cin, cout
#include <map>           // map<T1, T2>
#include <string>        // string
using namespace std;

int main()
{
   map<string, string> mascots;
   
   mascots["Illinois"]       = "Fighting Illini";
   mascots["Indiana"]        = "Hoosiers";
   mascots["Iowa"]           = "Hawkeyes";
   mascots["Michigan"]       = "Wolverines";
   mascots["Michigan State"] = "Spartans";
   mascots["Minnesota"]      = "Golden Gophers";
   mascots["Northwestern"]   = "Wildcats";
   mascots["Ohio State"]     = "Buckeyes";
   mascots["Penn State"]     = "Nittany Lions";
   mascots["Purdue"]         = "Boilermakers";
   mascots["Wisconsin"]      = "Badgers";
   
   for (;;)
   {
     cout << "\nTo look up a Big-10 mascot, enter the name "
          << "\n of a Big-10 school ('q' to quit): ";
     string university;
     getline(cin, university);

	 cin.get();
     
     if (university == "q") break;
   
     map<string, string>::iterator it = mascots.find(university);
     
     if (it != mascots.end())
//       cout << "--> " << it->second <<  endl;
       cout << "--> " << mascots[university] <<  endl;
     else
       cout << university << " is not a Big-10 school "
            << "(or is misspelled, not capitalized, etc?)" << endl;
   }

   return 0;
}